# Query license usage

Use this endpoint to check the status and usage of all your licensed services.

Endpoint: GET /license

## Query parameters:

  - `id` (string, required)
    Required. The [License Key](https://docs.melissa.com/melissa/license/license-information.html) issued by Melissa.

  - `t` (string)
    Serves as a unique request identifier.

## Header parameters:

  - `Accept` (string, required)
    Format of the response.

  - `Content-Type` (string, required)
    Format of the request.

## Response 200:

  - `200` (unknown)
    Successful response

## Response 200 fields (application/json):

  - `Version` (string)
    The current service version number.

  - `TransmissionResults` (string)
    Lists error codes from any errors caused by the most recent request as a whole. For more information, see [Global Email Result Codes](https://docs.melissa.com/cloud-api/global-email/result-codes.html).

  - `TransmissionReference` (string)
    A pass-through of the input TransmissionReference field.

  - `ResponseTimestamp` (string)
    The timestamp marking when the response was sent. In the format: YYYY-MM-DDTHH:MM:SS.SSSSSSSZ.

  - `LastUpdate` (string)
    The timestamp marking when the last update was made. In the format: 'YYYY-MM-DDTHH:MM:SS.SSSSSSS+ZZ:ZZ'.

  - `ServiceCount` (integer)
    Total number of records.

  - `Services` (array)

  - `Services.ServiceName` (string)
    The name of the service.

  - `Services.Packages` (array)
    An array containing the packages for the service.

  - `Services.Packages.PackageName` (string)
    The name for the package of the related service.

  - `Services.Packages.ValidFrom` (string)
    The timestamp marking the start of the validity period. In the format: YYYY-MM-DDTHH:MM:SS.

  - `Services.Packages.ValidTo` (string)
    The timestamp marking the end of the validity period. In the format: YYYY-MM-DDTHH:MM:SS.

  - `Services.Packages.TransactionsUsed` (integer)
    The number of transactions used for the package.

  - `Services.Packages.TransactionsRemaining` (integer)
    The number of remaining transactions for the package.

  - `Services.Packages.TransactionsLimit` (integer)
    The total number of transactions possible for the package.

## Response 400:

  - `400` (unknown)
    Bad Request

## Response 400 fields (application/json):

  - `type` (string)
    The type of error that occurred.

  - `title` (string)
    A short summary of the error.

  - `status` (integer)
    The HTTP status code for the error.

  - `errors` (object)

  - `errors.$.<PropertyName>` (array)
    A detailed message about the error.

  - `traceId` (string)
    A unique identifier for the request, useful for debugging.

